Bug 723215 - (CVE-2011-2698) CVE-2011-2698 wireshark: Infinite loop in the ANSI A Interface (IS-634/IOS) dissector
CVE-2011-2698 wireshark: Infinite loop in the ANSI A Interface (IS-634/IOS) d...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20110620,reported=2...
: Security
Depends On: 719782 809045 809046 834180
Blocks: 807617 816611
  Show dependency treegraph
 
Reported: 2011-07-19 08:31 EDT by Jan Lieskovsky
Modified: 2016-11-08 11:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 04:07:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Local copy of sample *.pcap file, showing the issue (1.01 KB, application/octet-stream)
2011-07-19 08:35 EDT, Jan Lieskovsky
no flags Details

  None (edit)
Description Jan Lieskovsky 2011-07-19 08:31:35 EDT
An infinite loop was found in the way ANSI A Interface (IS-634/IOS) dissector of the Wireshark network traffic analyzer processed certain ANSI A MAP capture files. If Wireshark read a malformed packet off a network or opened a malicious packet capture file, it could lead to denial of service (Wireshark hang).

Upstream bug:
[1] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=6044

Public PoC:
[2] http://www.wireshark.org/download/automated/captures/fuzz-2011-06-20-22762.pcap

Relevant upstream patch:
[3] http://anonsvn.wireshark.org/viewvc?view=revision&revision=37930

References:
[4] http://www.wireshark.org/security/
[5] http://www.wireshark.org/security/wnpa-sec-2011-11.html
[6] http://www.wireshark.org/security/wnpa-sec-2011-10.html
Comment 1 Jan Lieskovsky 2011-07-19 08:33:27 EDT
This issue affects the versions of the wireshark package, as shipped with Red Hat Enterprise Linux 4, 5, and 6.

--

This issue affects the versions of the wireshark package, as shipped with Fedora release of 14 and 15. Please schedule an update.
Comment 4 Jan Lieskovsky 2011-07-19 08:43:28 EDT
CVE Request:
[7] http://www.openwall.com/lists/oss-security/2011/07/19/5
Comment 5 Jan Lieskovsky 2011-07-19 08:45:09 EDT
Jan, looks like Fedora wireshark updates due CVE-2011-2597 (bug #719782) were not scheduled yet. So I am going to use that bug and merge this issue with CVE-2011-2597, so both could be addressed at the same time.
Comment 6 Jan Lieskovsky 2011-07-19 08:47:18 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-all [bug 719782]
Comment 8 Huzaifa S. Sidhpurwala 2011-07-20 02:57:41 EDT
This has been assigned CVE-2011-2698
Comment 10 errata-xmlrpc 2012-04-23 12:52:38 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:0509 https://rhn.redhat.com/errata/RHSA-2012-0509.html
Comment 12 errata-xmlrpc 2013-01-08 00:00:34 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0125 https://rhn.redhat.com/errata/RHSA-2013-0125.html
Comment 14 Huzaifa S. Sidhpurwala 2013-01-08 04:07:45 EST
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.